List the inspected URLs in one sitemap
curl --request GET \
--url https://api.snowseo.com/v3/sitemaps/urls \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.snowseo.com/v3/sitemaps/urls"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.snowseo.com/v3/sitemaps/urls', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.snowseo.com/v3/sitemaps/urls",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.snowseo.com/v3/sitemaps/urls"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.snowseo.com/v3/sitemaps/urls")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.snowseo.com/v3/sitemaps/urls")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"total": 123,
"page": 123,
"pageSize": 123,
"urls": [
{
"url": "<string>",
"verdict": "<string>",
"coverageState": "<string>",
"lastCrawlTime": "<string>",
"pageFetchState": "<string>",
"robotsTxtState": "<string>"
}
]
}Pages & Folders
List Sitemap URLs
The URLs Google found through one sitemap, with each one’s index verdict.
GET
/
v3
/
sitemaps
/
urls
List the inspected URLs in one sitemap
curl --request GET \
--url https://api.snowseo.com/v3/sitemaps/urls \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.snowseo.com/v3/sitemaps/urls"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.snowseo.com/v3/sitemaps/urls', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.snowseo.com/v3/sitemaps/urls",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.snowseo.com/v3/sitemaps/urls"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.snowseo.com/v3/sitemaps/urls")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.snowseo.com/v3/sitemaps/urls")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"total": 123,
"page": 123,
"pageSize": 123,
"urls": [
{
"url": "<string>",
"verdict": "<string>",
"coverageState": "<string>",
"lastCrawlTime": "<string>",
"pageFetchState": "<string>",
"robotsTxtState": "<string>"
}
]
}Get the individual URLs Google found through a given sitemap, each with its index verdict. Use it to see which pages in a sitemap are indexed and which are not. Pass the sitemap’s address as
sitemapUrl. search matches the URL before paging, so total counts the matches.Authorizations
bearerAuthapiKey
Your SnowSEO API key (sk_...).
Query Parameters
SnowSEO team ID, as returned by list_teams.
The sitemap to list URLs for, as returned by the sitemaps list.
Required range:
x >= 1Required range:
1 <= x <= 100Case-insensitive text matched against the URL. Applied before paging; total counts the matches.
Was this page helpful?

